unit Reg;

{$O+,F+,S-}

interface

procedure RegisterAllTypes;

implementation

uses Objects, Views, App, Dialogs, TStatus, TWindows, CompWind, Editor,
  Controls, TStdDlg, Shell, EvalDlg, CpuWin, BptDlg, WatchWin, OutputWn,
  CalStkWn, Help, Helphist, TMenu, Config, ColorSel, TColors;

procedure StreamErrorHandler(S: PStream); far;
begin
  if (S^.Status<>stInitError) and (S^.Status<>stWriteError) then
    RunError(209);
end;

procedure RegisterAllTypes;
begin
  StreamError := @StreamErrorHandler;
  RegisterType(RTurboMenuBar);
  RegisterType(RTurboStatusLine);
  RegisterType(RCollection);
  RegisterType(RStringCollection);
  RegisterType(RScrollBar);
  RegisterType(RFrame);
  RegisterType(RBackground);
  RegisterType(RDialog);
  RegisterType(RInputLine);
  RegisterType(RButton);
  RegisterType(RCluster);
  RegisterType(RRadioButtons);
  RegisterType(RCheckBoxes);
  RegisterType(RListBox);
  RegisterType(RStaticText);
  RegisterType(RLabel);
  RegisterType(RHistory);
  RegisterType(RParamText);
  RegisterType(RIntField);
  RegisterType(RCenterText);
  RegisterType(RDoubleTest);
  RegisterTStdDlg;
  RegisterType(REvalDialog);
  RegisterType(RWindowListViewer);
  RegisterType(REditLine);
  RegisterType(RAddressField);
  RegisterType(RCtrlPLine);
  RegisterType(RWindow);
  RegisterType(RBreakViewer);
  RegisterType(RBreakDialog);
  RegisterType(REditBreakDialog);
  RegisterType(RRegisterViewer);
  RegisterType(RWatchViewer);
  RegisterType(ROutputViewer);
  RegisterType(RTurboWindow);
  RegisterType(RCallStackViewer);
  RegisterType(RHelpHistory);
  RegisterType(RHelpView);
  RegisterType(RFDesktop);
  RegisterType(RFEnvironment);
  RegisterType(RFCompiler);
  RegisterType(RFHistory);
  RegisterType(RFBreakpoints);
  RegisterType(RFColorTable);
  RegisterType(RFCommandTable);
  RegisterType(REditView);
  RegisterType(RIndicator);
  RegisterType(REditWindow);
  RegisterType(RCompileView);
  RegisterType(RCompileWindow);
  RegisterType(RColorSelector);
  RegisterType(RColorDisplay);
  RegisterType(RColorGroupList);
  RegisterType(RColorItemList);
  RegisterType(RColorDialog);
  RegisterType(RMonoSelector);
end;

end.
